#
# $Id: Makefile.config,v 1.5 1999/09/03 14:59:32 gcla Exp $
#
# file       	: Makefile.config
# description	: PWB Makefile variables
# author     	: Graham Clark
# Time-stamp    : <03 Sep 99 15:35:56 gcla>
#
# Produced for building PEPA Workbench (pwb)
#

ifndef BASEDIR
BASEDIR = $(shell pwd)
endif

ifeq ($(USER),gclark)
MYHOME = /home/gclark
ARCH = sun4-51
export ARCH
else
MYHOME = /home/gcla
endif
export MYHOME

ifeq ($(ARCH),i586-pc-linux-gnu)
ARCH = linux-x86
export ARCH
endif

PATH := $(MYHOME)/$(ARCH)/bin:$(PATH)

PWD = $(BASEDIR)
PATH := $(PWD)/share/bin:$(PATH)
ifeq ($(ARCH),linux-x86)
PATH := $(PWD)/linux-x86/bin:$(PATH)
else
PATH := $(PWD)/sun4-51/bin:$(PATH)
endif
export PATH

SRCDIR	= src
TESTDIR = testmodels

PWB = pwb

ifeq ($(ARCH),linux-x86)
ML = nj-sml -97
else
ML = $(MYHOME)/njml/bin/sml
endif
